SYSTEMD-TMPFILES(8)

BEZEICHNUNG
systemd-tmpfiles, systemd-tmpfiles-setup.service, systemd-tmpfiles-setup-dev.service, systemd-tmpfiles-clean.service, systemd-tmpfiles-clean.timer - Temporäre und flüchtige Dateien sowie Verzeichnisse erstellen, löschen und aufräumen

ÜBERSICHT

systemd-tmpfiles [OPTIONEN …] [KONFIGURATIONSDATEI …]

System-Units:

systemd-tmpfiles-setup.service
systemd-tmpfiles-setup-dev.service
systemd-tmpfiles-clean.service
systemd-tmpfiles-clean.timer

Benutzer-Units:

systemd-tmpfiles-setup.service
systemd-tmpfiles-clean.service
systemd-tmpfiles-clean.timer

BESCHREIBUNG

systemd-tmpfiles erstellt und löscht temporäre und flüchtige Dateien sowie Verzeichnisse und räumt diese auf, basierend auf dem Format und dem Ort der in tmpfiles.d(5) beschriebenen Konfigurationsdatei.

Wenn der Befehl ohne Argumente aufgerufen wird, werden alle Anweisungen aus der Konfigurationsdatei angewendet. Beim Aufruf mit --replace=PFAD werden die auf der Befehlzeile festgelegten Argumente anstatt der Konfigurationsdatei PFAD verwandt. Werden andernfalls ein oder mehrere absolute Dateinamen in der Befehlszeile übergeben, werden nur die in diesen Dateien enthaltenen Anweisungen ausgeführt. Wenn »-« statt eines Dateinamens angegeben wird, werden die Anweisungen von der Standardeingabe gelesen. In dem Fall, dass nur der Basisname einer Konfigurationsdatei angegeben wird, werden alle in tmpfiles.d(5) angegebenen Verzeichnisse nach einer passenden Datei durchsucht und die gefundene Datei, die die höchste Priorität hat, wird ausgeführt.

Systemdienste (systemd-tmpfiles-setup.service, systemd-tmpfiles-setup-dev.service, systemd-tmpfiles-clean.service) rufen systemd-tmpfiles auf, um Systemdateien zu erstellen und systemweites Aufräumen vorzunehmen. Diese Dienste lesen vom Administrator kontrollierte Konfigurationsdateien in den tmpfiles.d/-Verzeichnissen ein. Benutzerdienste (systemd-tmpfiles-setup.service, systemd-tmpfiles-clean.service) rufen auch systemd-tmpfiles auf, dies liest aber eine separate Gruppe von Dateien, einschließlich der durch Benutzer kontrollierten Dateien unter ~/.config/user-tmpfiles.d/ und ~/.local/share/user-tmpfiles.d/ und der durch den Administrator kontrollierten Dateien unter /usr/share/user-tmpfiles.d/. Benutzer können dies dazu verwenden, Dateien durch sie gesteuert zu erstellen und aufzuräumen, aber die Systeminstanz führt das globale Aufräumen durch und wird nicht von der Benutzerkonfiguration beeinflusst. Beachten Sie, dass daher ein in der Systeminstanz konfiguriertes zeitbasiertes Aufräumen, wie diese typischerweise für /tmp konfiguriert ist, auch von der Benutzerinstanz erstellte Dateien betreffen wird, falls sie in /tmp abgelegt sind, selbst falls das zeitbasierte Aufräumen in der Benutzerinstanz ausgeschaltet ist.

OPTIONEN

Die folgenden Optionen werden verstanden:

--create
    entfernt alle in der Konfigurationsdatei mit f, F, w, d, D, v, p, L, c, b, m markierten Dateien und Verzeichnisse oder legt diese an. Mit z, Z, , t, T, a und A markierte Dateien und Verzeichnisse haben ihre eigenen Besitzer, Zugriffsmodi und Sicherheits-Label.

--clean
    räumt alle Dateien und Verzeichnisse auf, für die ein Parameter konfiguriert ist, der sich auf das Alter bezieht.

--remove
    entfernt den Inhalt aller mit D oder R markierten Dateien und Verzeichnisse, sowie die mit r oder R markierten Verzeichnisse selbst.

--user
    wendet die »Benutzer«-Konfiguration an, d.h. tmpfiles.d-Dateien in Benutzerkonfigurationsverzeichnissen.

--boot
    wendet auch jene Regeln an, denen ein Ausrufezeichen vorangestellt ist.

--prefix=Pfad
    wendet nur jene Regeln an, die auf Pfade mit dem angegebenen Präfix verweisen. Diese Option kann mehrmals angegeben werden.

--exclude-prefix=Pfad
    ignoriert die Regeln zum Anwenden der Pfade mit dem angegebenen Präfix. Diese Option kann mehrmals angegeben werden.

--root=Wurzel
    akzeptiert einen Verzeichnispfad als Argument. Allen Pfaden wird der angegebene alternative Wurzel-Pfad vorangestellt, einschließlich der Suchpfade für die Konfiguration.

    Beachten Sie, dass diese Option nicht beeinflusst, wie die in den Konfigurationsdateien festgelegten Benutzer und Gruppen zugeordnet werden. Mit oder ohne diese Option werden Benutzer und Gruppen immer gemäß der Benutzer- und Gruppendatenbank des Rechners zugeordnet; alle solche Datenbanken, die unter den angegebenen Wurzelverzeichnissen gespeichert sind, werden nicht berücksichtigt.

--replace=PFAD
    Wird diese Option angegeben, müssen eine oder mehrere positionsbezogene Argumente festgelegt werden. Alle in den in tmpfiles.d(5) aufgeführten Verzeichnissen gefundenen Konfigurationsdateien werden gelesen und die auf der Befehlszeile übergebene Konfiguration wird statt der Konfigurationsdatei PFAD mit der gleichen Priorität wie diese verwandt.

    Wenn die Installationsskripte laufen und zum Paket gehörende Dateien noch nicht verfügbar sind, muss der Inhalt der Skripte auf der Befehlszeile übergeben werden. Diese Option sorgt dafür, dass die Konfigurationsskripte des Administrators eine höhere Priorität erhalten, sofern diese bereits existieren.

--cat-config
    Kopiert den Inhalt der Konfigurationsdateien in die Standardausgabe. Vor jeder Datei wird der Dateiname als Kommentar ausgegeben.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

Es ist möglich, --create, --clean und --remove in einem Aufruf zu kombinieren (in diesem Fall wird die Entfernung und Bereinigung vor der Erstellung neuer Dateien durchgeführt). Zum Beispiel wird während des Systemstarts die folgende Befehlszeile ausgeführt, um sicherzustellen, dass alle flüchtigen und temporären Verzeichnisse entsprechend der Konfigurationsdatei entfernt beziehungsweise angelegt werden:

    systemd-tmpfiles --remove --create

UNPRIVILEGIERTE --CLEANUP-OPERATION

systemd-tmpfiles versucht die Änderungs- und Zugriffs-Zeitstempel der Verzeichnisse zu erhalten, auf die es zugreift. Dafür sind CAP_FOWNER-Privilegien erforderlich. Wenn es nicht als Root ausgeführt wird, wird die Zugriffszeit der Verzeichnisse aktualisiert, die nach zu löschenden Dateien durchsucht werden. Dadurch kann der tatsächliche Löschvorgang verhindert werden.

EXIT-STATUS

Im Erfolgsfall wird 0 zurückgeliefert. Falls die Konfigurationsdatei syntaktisch ungültig war (Syntaxfehler, fehlende Argumente, …) und einige Zeilen ignoriert werden mussten, aber keine weiteren Fehler aufgetreten sind, wird 65 zurückgeliefert (EX_DATAERR aus /usr/include/sysexits.h). Falls die Konfiguration syntaktisch korrekt war, aber nicht ausgeführt werden konnte (unzureichende Rechte, Erstellung von Dateien in fehlenden Verzeichnissen, ungültige Inhalte beim Schreiben von /sys/-Werten, …), wird 73 zurückgeliefert (EX_CANTCREAT aus /usr/include/sysexits.h). Andernfalls wird 1 zurückgeliefert (EXIT_FAILURE aus /usr/include/stdlib.h).

SIEHE AUCH

systemd(1), tmpfiles.d(5)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.